IF EXISTS (SELECT * FROM SYSCOLUMNS INNER JOIN SYSOBJECTS ON SYSOBJECTS.id = SYSCOLUMNS.id INNER JOIN SYS.types ON SYS.types.user_type_id = SYSCOLUMNS.xtype
              WHERE SYSCOLUMNS.NAME = 'TEVKIFATTOPLAM' AND SYSOBJECTS.name = 'FATURA' AND SYS.types.name<>'float')
ALTER TABLE dbo.[FATURA] ALTER COLUMN TEVKIFATTOPLAM FLOAT NULL
GO
IF EXISTS (SELECT * FROM SYSCOLUMNS INNER JOIN SYSOBJECTS ON SYSOBJECTS.id = SYSCOLUMNS.id INNER JOIN SYS.types ON SYS.types.user_type_id = SYSCOLUMNS.xtype
              WHERE SYSCOLUMNS.NAME = 'DTEVKIFATTOPLAM' AND SYSOBJECTS.name = 'FATURA' AND SYS.types.name<>'float')
ALTER TABLE dbo.[FATURA] ALTER COLUMN DTEVKIFATTOPLAM FLOAT NULL
GO